<?php
session_start();



   include_once("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("1")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }



  $iii=1;

  $fecha1 =$_POST['fecha_i'];

  $fecha2 =$_POST['fecha_f'];

  $elcentro =$_POST['listacd'];

if($elcentro==0){
 $q2 = "SELECT rfc, nombre, appat, apmat, sum(puntos) as compras, usuarios_ci_idusuarios_ci, id_inver FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver WHERE vip>=0 and fechat between \"$fecha1\" and \"$fecha2\" and transacciones.tipostr_idtipostr!='11' group by rfc order by usuarios_ci_idusuarios_ci";	
}
else {
  $q2 = "SELECT rfc, nombre, appat, apmat, sum(puntos) as compras, usuarios_ci_idusuarios_ci FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver WHERE fechat between \"$fecha1\" and \"$fecha2\" and transacciones.tipostr_idtipostr!='11' and usuarios_ci_idusuarios_ci=$elcentro group by rfc";
}
  $c2 = mysqli_query($conexion, $q2) or die ('No se pudo hacer lo que quieres ok?' . mysqli_error($conexion));

  echo"<center><table border=\"1\"> <tr>

			<th>ID.</th><th>RFC.</th><th>Nombre</th><th>Sistema</th><th>C.D.</th>

			</tr>";

  for($i=1;$r1 = mysqli_fetch_row($c2);$i++)

   {

	   $a0 = $r1[0];

	   $a1 = $r1[1];

	   $a2 = $r1[2];

	   $a3 = $r1[3];

	   $a4 = $r1[4];

	   $a5 = $r1[5];
	    $a6 = $r1[6];
		
$q2 = "select sum(puntos) from depositos join transacciones on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver where idprom=\"$a6\" and fechat between \"$fecha1\" and \"$fecha2\"";	
 $cc1 = mysqli_query($conexion, $q2) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr = mysqli_fetch_row($cc1);
           $val1=$rr[0];
	  

	   $tot+=$a4;

	   

	  if($a4>=624 && $val1>1){

echo"<tr><td>$a6</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td>

<td><form name=\"busca2\" action=\"reportegeneracionalnvo.php\" target=\"_blank\" method=\"post\">

			<input type=hidden name=fech1 value=$fecha1 />

			<input type=hidden name=fech2 value=$fecha2 />

			<input type=hidden name=elrfc value=$a0 />

			<input type=hidden name=elci value=$a5 />

<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Reporte Nuevo\" /></form></td><td>$iii</td></tr>"; $iii++;}

	}

	echo"</table><br><br>Las compras totales realizadas entre $fecha1 y $fecha2 son <br><br>Sistema: $tot<br><br>";



?>